#version 120

uniform sampler2D sampler;
uniform vec3 color;

void main() {
    vec4 image = texture2D(sampler, gl_TexCoord[0].st);
    float average = (image.r + image.g + image.b) / 3.0;    	

    gl_FragColor = vec4(average, average, average, image.a) * vec4(color, 1.0);
}